Créer un webhook global

Afficher en Markdown
Crée un webhook recevant les événements de tous les parapheurs du tenant. <Note title="Rôle requis"> `tenantManager` </Note>

Authentification

AuthorizationBearer

Authentification Bearer par jeton utilisateur ou jeton d’accès : Authorization: Bearer <token>.

Paramètres de chemin

tenantIdstringRequis
L'identifiant du tenant.

Requête

This endpoint expects an object.
endpointUrlstringRequis
L'URL de l'endpoint du webhook.
notifiedEventslist of stringsRequis

Les types d’événements notifiés au webhook.

Réponse

Créer un webhook global

createdlong

La date de création de l’entité.

endpointUrlstring
L'URL de l'endpoint du webhook.
idstring
L'identifiant du webhook.
notifiedEventslist of strings

Les types d’événements notifiés au webhook.

tenantIdstring
L'identifiant du tenant auquel appartient le webhook.
updatedlong

La date de dernière modification de l’entité.

customHeadersmap from strings to anyOptionnel

Une liste d’en-têtes personnalisés, chacun composé d’une clé et d’une valeur.

userIdstringOptionnel
L'identifiant de l'utilisateur auquel appartient le webhook, dans le cas d'un webhook utilisateur.

Erreurs

400
Bad Request Error
403
Forbidden Error